package db

import (
	"context"
	"testing"

	"git.nochill.in/nochill/nice_pos/util"
	"github.com/google/uuid"
	"github.com/stretchr/testify/require"
	"github.com/tabbed/pqtype"
)

func createRandomSupplier(t *testing.T) (Supplier, CreateSuppliersParams) {
	arg := CreateSuppliersParams{
		MerchantID: uuid.MustParse("1f81d072-0c98-4e7e-9ceb-233d2eadb674"),
		Name:       util.RandomString(10),
		Detail:     pqtype.NullRawMessage{},
	}

	supplier, err := testQueries.CreateSuppliers(context.Background(), arg)
	require.NoError(t, err)

	return supplier, arg

}
func TestCreateSupplier(t *testing.T) {
	supplier, arg := createRandomSupplier(t)

	require.Equal(t, arg.Name, supplier.Name)
	require.Equal(t, arg.MerchantID, supplier.MerchantID)

	require.NotZero(t, supplier.ID)
	require.NotZero(t, supplier.CreatedAt)
	require.NotZero(t, supplier.UpdatedAt)

}
